aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/audit/init.d/auditd.cron
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/audit/init.d/auditd.cron')
-rw-r--r--framework/src/audit/init.d/auditd.cron14
1 files changed, 14 insertions, 0 deletions
diff --git a/framework/src/audit/init.d/auditd.cron b/framework/src/audit/init.d/auditd.cron
new file mode 100644
index 00000000..7b898697
--- /dev/null
+++ b/framework/src/audit/init.d/auditd.cron
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+##########
+# This script can be installed to get a daily log rotation
+# based on a cron job.
+##########
+
+/sbin/service auditd rotate
+EXITVALUE=$?
+if [ $EXITVALUE != 0 ]; then
+ /usr/bin/logger -t auditd "ALERT exited abnormally with [$EXITVALUE]"
+fi
+exit 0
+